Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOldStyleCallbackCommand Class Reference

`#include <vtkOldStyleCallbackCommand.h>`

Inheritance diagram for vtkOldStyleCallbackCommand:

[legend]
Collaboration diagram for vtkOldStyleCallbackCommand:

[legend]
List of all members.

## Detailed Description

supports legacy function callbacks for VTK

Date:
  2002/11/22 15:44:07

Revision:
  1.6

vtkOldStyleCallbackCommand is a callback that supports the legacy callback methods found in VTK. For example, the legacy method vtkProcessObject::SetStartMethod() is actually invoked using the command/observer design pattern of VTK, and the vtkOldStyleCallbackCommand is used to provide the legacy functionality. The callback function should have the form void func(void *clientdata), where clientdata is special data that should is associated with this instance of vtkCallbackCommand.

Warning:
  This is legacy glue. Please do not use; it will be eventually eliminated.

See also:
  vtkCommand vtkCallbackCommand

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (60%)
  - Schroeder, Will (28%)
  - King, Brad (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkOldStyleCallbackCommand.cxx)`
  - .`h` (`/Common/vtkOldStyleCallbackCommand.h)`

Definition at line 55 of file vtkOldStyleCallbackCommand.h.

## Public Methods
void | Execute (vtkObject *invoker, unsigned long eid, void *calldata)
void | SetClientData (void *cd)
void | SetCallback (void(*f)(void *clientdata))
void | SetClientDataDeleteCallback (void(*f)(void *))
## Static Public Methods
vtkOldStyleCallbackCommand * | New ()
## Public Attributes
void * | ClientData
void(* | Callback )(void *)
void(* | ClientDataDeleteCallback )(void *)
## Protected Methods
| vtkOldStyleCallbackCommand ()
| ~vtkOldStyleCallbackCommand ()

## Constructor & Destructor Documentation

vtkOldStyleCallbackCommand::vtkOldStyleCallbackCommand | ( |  | ) | `[protected]`

vtkOldStyleCallbackCommand::~vtkOldStyleCallbackCommand | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOldStyleCallbackCommand* vtkOldStyleCallbackCommand::New | ( |  | ) | `[inline, static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObjectBase. Definition at line 58 of file vtkOldStyleCallbackCommand.h.

void vtkOldStyleCallbackCommand::Execute | ( | vtkObject * | invoker,
|  | unsigned long | eid,
|  | void * | calldata
| ) | `[virtual]`

| Satisfy the superclass API for callbacks. Implements vtkCommand.

void vtkOldStyleCallbackCommand::SetClientData | ( | void * | cd | ) | `[inline]`

| Methods to set and get client and callback information. Definition at line 66 of file vtkOldStyleCallbackCommand.h.

void vtkOldStyleCallbackCommand::SetCallback | ( | void(* | f)(void *clientdata) | ) | `[inline]`

| Methods to set and get client and callback information. Definition at line 68 of file vtkOldStyleCallbackCommand.h.

void vtkOldStyleCallbackCommand::SetClientDataDeleteCallback | ( | void(* | f)(void *) | ) | `[inline]`

| Methods to set and get client and callback information. Definition at line 70 of file vtkOldStyleCallbackCommand.h.

## Member Data Documentation

void* vtkOldStyleCallbackCommand::ClientData

| Definition at line 74 of file vtkOldStyleCallbackCommand.h.

void(* vtkOldStyleCallbackCommand::Callback)(void *)

void(* vtkOldStyleCallbackCommand::ClientDataDeleteCallback)(void *)

The documentation for this class was generated from the following file:

- Common/vtkOldStyleCallbackCommand.h